> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.simjuno.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simjuno.com/_mcp/server.

# Payment Stripe Update

PATCH https://api.simjuno.com/v1/payments/stripe/{intentId}
Content-Type: application/json

Update a Stripe payment intent

Reference: https://docs.simjuno.com/api-reference/payments/payment-stripe-update

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: SimJuno API
  version: 1.0.0
paths:
  /payments/stripe/{intentId}:
    patch:
      operationId: payment-stripe-update
      summary: Payment Stripe Update
      description: Update a Stripe payment intent
      tags:
        - payments
      parameters:
        - name: intentId
          in: path
          required: true
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key generated from the dashboard (Settings → API Keys).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/payments_payment-stripe-update_Response_200
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                transactionId:
                  type: string
                input:
                  $ref: >-
                    #/components/schemas/PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInput
              required:
                - transactionId
                - input
servers:
  - url: https://api.simjuno.com/v1
    description: https://api.simjuno.com/v1
components:
  schemas:
    PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInputPurchaseOneOf0Data:
      type: object
      properties:
        name:
          type: string
        location_logo:
          type: string
        slug:
          type: string
        count:
          type: number
          format: double
          default: 1
        amount:
          type: number
          format: double
      required:
        - name
        - location_logo
        - slug
        - amount
      title: >-
        PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInputPurchaseOneOf0Data
    PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInputPurchase0:
      type: object
      properties:
        type:
          type: string
          enum:
            - esim
        data:
          $ref: >-
            #/components/schemas/PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInputPurchaseOneOf0Data
      required:
        - type
        - data
      title: >-
        PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInputPurchase0
    PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInputPurchaseOneOf1Data:
      type: object
      properties:
        esim:
          type: string
        slug:
          type: string
        amount:
          type: number
          format: double
      required:
        - esim
        - slug
        - amount
      title: >-
        PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInputPurchaseOneOf1Data
    PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInputPurchase1:
      type: object
      properties:
        type:
          type: string
          enum:
            - topup
        data:
          $ref: >-
            #/components/schemas/PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInputPurchaseOneOf1Data
      required:
        - type
        - data
      title: >-
        PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInputPurchase1
    PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInputPurchaseOneOf2Data:
      type: object
      properties:
        amount:
          type: number
          format: double
      required:
        - amount
      title: >-
        PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInputPurchaseOneOf2Data
    PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInputPurchase2:
      type: object
      properties:
        type:
          type: string
          enum:
            - balance
        data:
          $ref: >-
            #/components/schemas/PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInputPurchaseOneOf2Data
      required:
        - type
        - data
      title: >-
        PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInputPurchase2
    PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInputPurchase:
      oneOf:
        - $ref: >-
            #/components/schemas/PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInputPurchase0
        - $ref: >-
            #/components/schemas/PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInputPurchase1
        - $ref: >-
            #/components/schemas/PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInputPurchase2
      title: >-
        PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInputPurchase
    PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInput:
      type: object
      properties:
        purchase:
          $ref: >-
            #/components/schemas/PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInputPurchase
        coupon_code:
          type: string
        return_url:
          type: string
          format: uri
      required:
        - purchase
      title: PaymentsStripeIntentIdPatchRequestBodyContentApplicationJsonSchemaInput
    payments_payment-stripe-update_Response_200:
      type: object
      properties:
        status:
          type: string
        amount:
          type: number
          format: double
      required:
        - status
        - amount
      title: payments_payment-stripe-update_Response_200
    ErrorBadRequestIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorBadRequestIssuesItems
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorBadRequestIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.BAD_REQUEST
    ErrorUnauthorizedIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorUnauthorizedIssuesItems
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorUnauthorizedIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.UNAUTHORIZED
    ErrorForbiddenIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorForbiddenIssuesItems
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorForbiddenIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.FORBIDDEN
    ErrorNotFoundIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorNotFoundIssuesItems
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorNotFoundIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.NOT_FOUND
    ErrorInternalServerErrorIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorInternalServerErrorIssuesItems
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorInternalServerErrorIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.INTERNAL_SERVER_ERROR
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key generated from the dashboard (Settings → API Keys).

```

## Examples



**Request**

```json
{
  "transactionId": "string",
  "input": {
    "purchase": {
      "type": "string",
      "data": {
        "name": "string",
        "location_logo": "string",
        "slug": "string",
        "amount": 1.1
      }
    }
  }
}
```

**Response**

```json
{
  "status": "string",
  "amount": 1.1
}
```

**SDK Code**

```python
import requests

url = "https://api.simjuno.com/v1/payments/stripe/intentId"

payload = {
    "transactionId": "string",
    "input": { "purchase": {
            "type": "string",
            "data": {
                "name": "string",
                "location_logo": "string",
                "slug": "string",
                "amount": 1.1
            }
        } }
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.simjuno.com/v1/payments/stripe/intentId';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"transactionId":"string","input":{"purchase":{"type":"string","data":{"name":"string","location_logo":"string","slug":"string","amount":1.1}}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.simjuno.com/v1/payments/stripe/intentId"

	payload := strings.NewReader("{\n  \"transactionId\": \"string\",\n  \"input\": {\n    \"purchase\": {\n      \"type\": \"string\",\n      \"data\": {\n        \"name\": \"string\",\n        \"location_logo\": \"string\",\n        \"slug\": \"string\",\n        \"amount\": 1.1\n      }\n    }\n  }\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.simjuno.com/v1/payments/stripe/intentId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"transactionId\": \"string\",\n  \"input\": {\n    \"purchase\": {\n      \"type\": \"string\",\n      \"data\": {\n        \"name\": \"string\",\n        \"location_logo\": \"string\",\n        \"slug\": \"string\",\n        \"amount\": 1.1\n      }\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.simjuno.com/v1/payments/stripe/intentId")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"transactionId\": \"string\",\n  \"input\": {\n    \"purchase\": {\n      \"type\": \"string\",\n      \"data\": {\n        \"name\": \"string\",\n        \"location_logo\": \"string\",\n        \"slug\": \"string\",\n        \"amount\": 1.1\n      }\n    }\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.simjuno.com/v1/payments/stripe/intentId', [
  'body' => '{
  "transactionId": "string",
  "input": {
    "purchase": {
      "type": "string",
      "data": {
        "name": "string",
        "location_logo": "string",
        "slug": "string",
        "amount": 1.1
      }
    }
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.simjuno.com/v1/payments/stripe/intentId");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"transactionId\": \"string\",\n  \"input\": {\n    \"purchase\": {\n      \"type\": \"string\",\n      \"data\": {\n        \"name\": \"string\",\n        \"location_logo\": \"string\",\n        \"slug\": \"string\",\n        \"amount\": 1.1\n      }\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "transactionId": "string",
  "input": ["purchase": [
      "type": "string",
      "data": [
        "name": "string",
        "location_logo": "string",
        "slug": "string",
        "amount": 1.1
      ]
    ]]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.simjuno.com/v1/payments/stripe/intentId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```